Create Probation Extension

Create a probation extension request.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employment documents (employment_documents)-Manage probation documents (probation_document:write)
Company-scoped access token (assertion)Manage employment documents (employment_documents)-Manage probation documents (probation_document:write)
Customer API tokenManage employment documents (employment_documents)-Manage probation documents (probation_document:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

ProbationExtension

string

Any additional details that need to be considered for the probation extension.

date

The date when the discussion with the employee took place. Is required when was_employee_informed is true and should be in the past.

integer
required

The number of days to add to the existing probation end date.

string
required

The employment ID that is related to the probation extension request.

string
required

The reason for the probation extension.

supporting_document
object

Upload performance improvement plan or any other supporting document.
This optional document can be sent only if was_employee_informed is true.

boolean
required

Whether the employee was informed about the probation extension.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json